org.apache.cassandra.cql3

## Class ColumnCondition.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition.Raw

Enclosing class:
  ColumnCondition

    public static class ColumnCondition.Raw
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ColumnCondition.Raw(Term.Raw value)`

### Method Summary

Methods
`ColumnCondition` `prepare(CFDefinition.Name receiver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnCondition.Raw

    public ColumnCondition.Raw(Term.Raw value)

### Method Detail

#### prepare

    public ColumnCondition prepare(CFDefinition.Name receiver)
                            throws InvalidRequestException

Throws:
  `InvalidRequestException`